import { test } from "@/api";

class TestModel {
  /** 根据不同类型获取分类 */
  async getTopicClass(
    type: "df" | "fl" | "jx" | "sx",
    params: Partial<Test.getTopicClassParams>
  ) {
    switch (type) {
      case "df": {
        const res = await test.selectDfQustionInfo(params);
        return res.data;
      }
      case "fl": {
        const res = await test.selectFlQustionInfo(params);
        return res.data;
      }
      case "jx": {
        const res = await test.selectJxQustionInfo(params);
        return res.data;
      }
      case "sx": {
        const res = await test.selectSxQustionInfo(params);
        return res.data;
      }
    }
  }

  /** 获取题目列表 */
  async getList() {}
}
